# PlayerPickupExperienceEvent (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: com.destroystokyo.paper.event.player, class: PlayerPickupExperienceEvent

Package com.destroystokyo.paper.event.player

# Class PlayerPickupExperienceEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerPickupExperienceEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerPickupExperienceEvent extends PlayerEvent implements Cancellable
Fired when a player is attempting to pick up an experience orb

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerPickupExperienceEvent(@NotNull Player player, @NotNull ExperienceOrb experienceOrb)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ExperienceOrb`
`getExperienceOrb()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
If true, Cancels picking up the experience orb, leaving it in the world

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerPickupExperienceEvent

public PlayerPickupExperienceEvent(@NotNull @NotNull Player player, @NotNull @NotNull ExperienceOrb experienceOrb)

## Method Details

### getExperienceOrb

@NotNull public @NotNull ExperienceOrb getExperienceOrb()

Returns:
  Returns the Orb that the player is picking up

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
If true, Cancels picking up the experience orb, leaving it in the world

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event